Index: quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/configure.zcml
===================================================================
--- quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/configure.zcml	(revision 1180)
+++ quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/configure.zcml	(revision 1181)
@@ -1,5 +1,5 @@
 <configure
     xmlns="http://namespaces.zope.org/zope"
-    xmlns:five="http://namespaces.zope.org/five"
+    xmlns:genericsetup="http://namespaces.zope.org/genericsetup"
     i18n_domain="quintagroup.dropdownmenu">
 
@@ -8,5 +8,5 @@
 
   <!-- Include internal packages -->
-  <include package="browser" />
+  <include package=".browser" />
 
   <!-- Register the installation GenericSetup extension profile -->
Index: quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/interfaces.py
===================================================================
--- quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/interfaces.py	(revision 1180)
+++ quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/interfaces.py	(revision 1181)
@@ -1,2 +1,3 @@
+# -*- coding: utf-8 -*-
 from zope import schema
 from zope.interface import Interface
@@ -36,5 +37,5 @@
                       u"those autogenerated from content structure. Check this "
                       u"option to revert the behaviour."),
-        default=True)
+        default=False)
 
     content_tabs_level = schema.Int(
@@ -62,5 +63,5 @@
         description=_(u"Root portal actions tool's category name to extract "
                       u"tabs from."),
-        default=u"portal_tab")
+        default=u"portal_tabs")
 
     nested_category_prefix = schema.TextLine(
Index: quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/menu.txt
===================================================================
--- quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/menu.txt	(revision 1180)
+++ quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/menu.txt	(revision 1181)
@@ -5,21 +5,18 @@
 structure.
 
-Settings
---------
 
-This package allows you to adjust a lot of different menu related things via
-/@@dropdownmenu-settings control panel. More on this in
-`controlpanel.txt` doc test.
+Portal Actions tabs
+===================
 
 
-Portal Actions
-==============
+---
 
 
 
-
-Content Structure
-=================
+Content Structure tabs
+======================
 
 
 
+Mixed tabs
+==========
Index: quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/profiles/default/controlpanel.xml
===================================================================
--- quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/profiles/default/controlpanel.xml	(revision 1180)
+++ quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/profiles/default/controlpanel.xml	(revision 1181)
Index: quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/tests.py
===================================================================
--- quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/tests.py	(revision 1180)
+++ 	(revision )
@@ -1,57 +1,0 @@
-import unittest
-
-from zope.testing import doctestunit
-from zope.component import testing
-from Testing import ZopeTestCase as ztc
-
-from Products.Five import zcml
-from Products.Five import fiveconfigure
-from Products.PloneTestCase import PloneTestCase as ptc
-from Products.PloneTestCase.layer import PloneSite
-ptc.setupPloneSite()
-
-import quintagroup.dropdownmenu
-
-class TestCase(ptc.PloneTestCase):
-    class layer(PloneSite):
-        @classmethod
-        def setUp(cls):
-            fiveconfigure.debug_mode = True
-            ztc.installPackage(quintagroup.dropdownmenu)
-            fiveconfigure.debug_mode = False
-
-        @classmethod
-        def tearDown(cls):
-            pass
-
-
-def test_suite():
-    return unittest.TestSuite([
-
-        # Unit tests
-        #doctestunit.DocFileSuite(
-        #    'README.txt', package='quintagroup.dropdownmenu',
-        #    setUp=testing.setUp, tearDown=testing.tearDown),
-
-        #doctestunit.DocTestSuite(
-        #    module='quintagroup.dropdownmenu.mymodule',
-        #    setUp=testing.setUp, tearDown=testing.tearDown),
-
-
-        # Integration tests that use PloneTestCase
-        ztc.ZopeDocFileSuite(
-            'menu.txt', package='quintagroup.dropdownmenu',
-            test_class=TestCase),
-
-        ztc.ZopeDocFileSuite(
-            'controlpanel.txt', package='quintagroup.dropdownmenu',
-            test_class=TestCase),
-
-        #ztc.FunctionalDocFileSuite(
-        #    'browser.txt', package='quintagroup.dropdownmenu',
-        #    test_class=TestCase),
-
-        ])
-
-if __name__ == '__main__':
-    unittest.main(defaultTest='test_suite')
Index: quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/tests/__init__.py
===================================================================
--- quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/tests/__init__.py	(revision 1181)
+++ quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/tests/__init__.py	(revision 1181)
@@ -0,0 +1,1 @@
+#
Index: quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/tests/layer.py
===================================================================
--- quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/tests/layer.py	(revision 1181)
+++ quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/tests/layer.py	(revision 1181)
@@ -0,0 +1,12 @@
+from Products.PloneTestCase import ptc
+from collective.testcaselayer import ptc as collective_ptc
+
+ptc.setupPloneSite()
+
+class Layer(collective_ptc.BasePTCLayer):
+    """Install quintagroup.dropdownmenu"""
+
+    def afterSetUp(self):
+        self.addProfile('quintagroup.dropdownmenu:default')
+
+DropDownMenuLayer = Layer([collective_ptc.ptc_layer])
Index: quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/tests/test_controlpanel.py
===================================================================
--- quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/tests/test_controlpanel.py	(revision 1181)
+++ quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/tests/test_controlpanel.py	(revision 1181)
@@ -0,0 +1,104 @@
+# -*- coding: utf-8 -*-
+import unittest
+
+from plone.registry import Registry
+
+from Products.CMFCore.utils import getToolByName
+from Products.PloneTestCase.ptc import PloneTestCase
+
+from quintagroup.dropdownmenu.interfaces import IDropDownMenuSettings
+from quintagroup.dropdownmenu.tests.layer import DropDownMenuLayer
+
+
+IPREFIX = 'quintagroup.dropdownmenu.interfaces.IDropDownMenuSettings.'
+
+class RegistryTest(PloneTestCase):
+
+    layer = DropDownMenuLayer
+
+    def afterSetUp(self):
+        # Set up the registry
+        self.registry = Registry()
+        self.registry.registerInterface(IDropDownMenuSettings)
+
+    def test_dropdownmenu_in_controlpanel(self):
+        # Check if dropdownmenu is in the control panel
+        self.controlpanel = getToolByName(self.portal, "portal_controlpanel")
+        self.failUnless('dropdownmenu' in [a.getAction(self)['id']
+                            for a in self.controlpanel.listActions()])
+
+    def test_show_content_tabs(self):
+        # Check show_content_tabs record
+        show_content_tabs = self.registry.records[IPREFIX+'show_content_tabs']
+
+        self.failUnless('show_content_tabs' in IDropDownMenuSettings)
+        self.assertEquals(self.registry[IPREFIX+'show_content_tabs'], True)
+
+    def test_show_nonfolderish_tabs(self):
+        # Check show_nonfolderish_tabs record
+        show_nonfolderish_tabs = self.registry.records[
+            IPREFIX+'show_nonfolderish_tabs']
+
+        self.failUnless('show_nonfolderish_tabs' in IDropDownMenuSettings)
+        self.assertEquals(self.registry[IPREFIX+'show_nonfolderish_tabs'],
+                          True)
+
+    def test_content_before_actions_tabs(self):
+        # Check content_before_actions_tabs record
+        content_before_actions_tabs = self.registry.records[
+            IPREFIX+'content_before_actions_tabs']
+
+        self.failUnless('content_before_actions_tabs' in IDropDownMenuSettings)
+        self.assertEquals(self.registry[IPREFIX+'content_before_actions_tabs'],
+                          False)
+
+    def test_content_tabs_level(self):
+        # Check content_tabs_level record
+        content_tabs_level = self.registry.records[IPREFIX+'content_tabs_level']
+
+        self.failUnless('content_tabs_level' in IDropDownMenuSettings)
+        self.assertEquals(self.registry[IPREFIX+'content_tabs_level'], 0)
+
+    def test_show_actions_tabs(self):
+        # Check show_actions_tabs record
+        show_actions_tabs = self.registry.records[IPREFIX+'show_actions_tabs']
+
+        self.failUnless('show_actions_tabs' in IDropDownMenuSettings)
+        self.assertEquals(self.registry[IPREFIX+'show_actions_tabs'], True)
+
+    def test_actions_tabs_level(self):
+        # Check actions_tabs_level record
+        actions_tabs_level = self.registry.records[IPREFIX+'actions_tabs_level']
+
+        self.failUnless('actions_tabs_level' in IDropDownMenuSettings)
+        self.assertEquals(self.registry[IPREFIX+'actions_tabs_level'], 0)
+
+    def test_actions_category(self):
+        # Check actions_category record
+        actions_category = self.registry.records[IPREFIX+'actions_category']
+
+        self.failUnless('actions_category' in IDropDownMenuSettings)
+        self.assertEquals(self.registry[IPREFIX+'actions_category'],
+                          u"portal_tabs")
+
+    def test_nested_category_prefix(self):
+        # Check nested_category_prefix record
+        nested_category_prefix = self.registry.records[
+            IPREFIX+'nested_category_prefix']
+
+        self.failUnless('nested_category_prefix' in IDropDownMenuSettings)
+        self.assertEquals(self.registry[IPREFIX+'nested_category_prefix'],
+                          u"")
+
+    def test_nested_category_sufix(self):
+        # Check nested_category_sufix record
+        nested_category_sufix = self.registry.records[
+            IPREFIX+'nested_category_sufix']
+
+        self.failUnless('nested_category_sufix' in IDropDownMenuSettings)
+        self.assertEquals(self.registry[IPREFIX+'nested_category_sufix'],
+                          u"_sub")
+
+
+def test_suite():
+    return unittest.defaultTestLoader.loadTestsFromName(__name__)
Index: quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/tests/test_docs.py
===================================================================
--- quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/tests/test_docs.py	(revision 1181)
+++ quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/tests/test_docs.py	(revision 1181)
@@ -0,0 +1,38 @@
+# -*- coding: utf-8 -*-
+import unittest
+
+from zope.testing import doctestunit
+from zope.component import testing
+from Testing import ZopeTestCase as ztc
+
+from Products.PloneTestCase import ptc
+
+from quintagroup.dropdownmenu.tests.layer import DropDownMenuLayer
+
+
+class TestCase(ptc.PloneTestCase):
+    layer = DropDownMenuLayer
+
+def test_suite():
+    return unittest.TestSuite([
+
+        # Unit tests
+        #doctestunit.DocFileSuite(
+        #    'README.txt', package='quintagroup.dropdownmenu',
+        #    setUp=testing.setUp, tearDown=testing.tearDown),
+
+        #doctestunit.DocTestSuite(
+        #    module='quintagroup.dropdownmenu.mymodule',
+        #    setUp=testing.setUp, tearDown=testing.tearDown),
+
+
+        # Integration tests that use PloneTestCase
+        ztc.ZopeDocFileSuite(
+            'menu.txt', package='quintagroup.dropdownmenu',
+            test_class=TestCase),
+
+        #ztc.FunctionalDocFileSuite(
+        #    'browser.txt', package='quintagroup.dropdownmenu',
+        #    test_class=TestCase),
+
+        ])