Index: quintagroup.plonecomments/trunk/quintagroup/plonecomments/locales/es/LC_MESSAGES/quintagroup.plonecomments.po
===================================================================
--- quintagroup.plonecomments/trunk/quintagroup/plonecomments/locales/es/LC_MESSAGES/quintagroup.plonecomments.po	(revision 1059)
+++ quintagroup.plonecomments/trunk/quintagroup/plonecomments/locales/es/LC_MESSAGES/quintagroup.plonecomments.po	(revision 1203)
@@ -5,5 +5,5 @@
 msgstr ""
 "Project-Id-Version: qPloneComments\n"
-"POT-Creation-Date: 2009-06-05 17:02+0000\n"
+"POT-Creation-Date: 2009-07-31 16:11+0000\n"
 "PO-Revision-Date: 2007-04-19 20:21-0600\n"
 "Last-Translator: Héctor Velarde <hvelarde@jornada.com.mx>\n"
@@ -35,9 +35,9 @@
 msgstr "Todos los comentarios requieren aprobación antes de ser publicados. Por favor revise más tarde."
 
-#: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/validate_talkback.vpy:56
+#: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/validate_report_abuse.vpy:57
 msgid "Please correct the indicated errors."
 msgstr ""
 
-#: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/validate_talkback.vpy:45
+#: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/validate_report_abuse.vpy:46
 msgid "Please enter your name."
 msgstr "Por favor escriba su nombre."
@@ -49,4 +49,8 @@
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/validate_setup.vpy:23
 msgid "Please submit a valid e-mail address."
+msgstr ""
+
+#: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/validate_report_abuse.vpy:34
+msgid "Please submit an email address."
 msgstr ""
 
@@ -59,6 +63,14 @@
 msgstr "No es posible responder a un comentario que no ha sido aprobado. Por favor espere a que sea aprobado antes de responderlo."
 
-#: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/validate_talkback.vpy:50
+#: ./quintagroup.plonecomments/quintagroup/plonecomments/utils.py:214
+msgid "SMTPRecipientsRefused: Could not send the emailnotification. Have you configured an email server for Plone?"
+msgstr ""
+
+#: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/validate_report_abuse.vpy:51
 msgid "You must correctly enter the word."
+msgstr ""
+
+#: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/report_abuse.cpy:72
+msgid "Your abuse report has been sent."
 msgstr ""
 
@@ -69,5 +81,5 @@
 
 #. Default: "Enable Manager moderation"
-#: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:129
+#: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:196
 msgid "enable_manager_moderation"
 msgstr ""
@@ -84,5 +96,5 @@
 
 #. Default: "The email address where comment notifications will be sent"
-#: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:142
+#: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:209
 msgid "help_discussion-manager_email"
 msgstr ""
@@ -91,4 +103,14 @@
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/discussion_reply_form.cpt:133
 msgid "help_email"
+msgstr ""
+
+#. Default: "This setting will only take effect if abuse reports are enabled."
+#: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:178
+msgid "help_enable_ajax_report_abuse"
+msgstr ""
+
+#. Default: "This setting will allow ALL users, including non logged in users to report abusive comments."
+#: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:154
+msgid "help_enable_anonymous_report_abuse"
 msgstr ""
 
@@ -99,5 +121,5 @@
 
 #. Default: "You can change notification message templates by customizing 'approve_comment_template' and 'published_comment_template' in the qplonecomments skin."
-#: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:165
+#: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:232
 msgid "help_organization_name"
 msgstr "Puede cambiar los mensajes de notificación personalizando las plantillas 'approve_comment_template' y 'published_comment_template' en el skin qplonecomments."
@@ -119,15 +141,25 @@
 
 #. Default: "Send comments notification emails to:"
-#: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:140
+#: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:207
 msgid "label_discussion-manager_email"
 msgstr ""
 
+#. Default: "Enable AJAX powered abuse reports"
+#: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:175
+msgid "label_enable_ajax_report_abuse"
+msgstr ""
+
+#. Default: "Enable anonymous users to report abusive comments"
+#: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:151
+msgid "label_enable_anonymous_report_abuse"
+msgstr ""
+
 #. Default: "Notify Discussion Manager of new comments."
-#: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:221
+#: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:288
 msgid "label_enable_approve_notification"
 msgstr "Notificar al administrador de discusiones cuando se reciban nuevos comentarios."
 
 #. Default: "Notify Commenter when comment is published."
-#: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:240
+#: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:307
 msgid "label_enable_approve_user_notification"
 msgstr ""
@@ -139,20 +171,25 @@
 
 #. Default: "Notify Document Owner of new comments on their documents."
-#: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:202
+#: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:269
 msgid "label_enable_published_notification"
 msgstr "Notificar al dueño del documento cuando se reciban nuevos comentarios."
 
 #. Default: "Enable Commentator notification on comment was rejected."
-#: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:259
+#: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:326
 msgid "label_enable_reject_notification"
 msgstr ""
 
 #. Default: "Notify Commenter when their comment receives a reply"
-#: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:279
+#: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:346
 msgid "label_enable_reply_notification"
 msgstr ""
 
+#. Default: "Enable authenticated users to report abusive comments"
+#: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:132
+msgid "label_enable_report_abuse"
+msgstr ""
+
 #. Default: "Email subject prefix (organization name)"
-#: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:163
+#: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:230
 msgid "label_organization_name"
 msgstr "Prefijo del asunto del mensaje (nombre de la organización)"
@@ -164,5 +201,5 @@
 
 #. Default: "Email Notification Options"
-#: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:185
+#: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:252
 msgid "legend_qpc_notification_legend"
 msgstr ""
@@ -219,5 +256,5 @@
 
 #. Default: "Comment must be approved before replies to comment accepted."
-#: ./quintagroup.plonecomments/quintagroup/plonecomments/browser/comments.pt:106
+#: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/viewThreadsAtBottom.pt:113
 msgid "text_no_add_reply"
 msgstr ""