Index: quintagroup.plonecomments/trunk/quintagroup/plonecomments/browser/comments.pt
===================================================================
--- quintagroup.plonecomments/trunk/quintagroup/plonecomments/browser/comments.pt	(revision 1203)
+++ quintagroup.plonecomments/trunk/quintagroup/plonecomments/browser/comments.pt	(revision 1204)
@@ -100,4 +100,5 @@
                           method="post"
                           style="display: inline;"
+                          i18n:domain="quintagroup.plonecomments"
                           tal:attributes="action string:${reply/absolute_url}/report_abuse_form#discussion">
                         <input type="hidden" name="comment_id" tal:attributes="value comment_id" />
Index: quintagroup.plonecomments/trunk/quintagroup/plonecomments/locales/de/LC_MESSAGES/quintagroup.plonecomments.po
===================================================================
--- quintagroup.plonecomments/trunk/quintagroup/plonecomments/locales/de/LC_MESSAGES/quintagroup.plonecomments.po	(revision 1203)
+++ quintagroup.plonecomments/trunk/quintagroup/plonecomments/locales/de/LC_MESSAGES/quintagroup.plonecomments.po	(revision 1204)
@@ -5,5 +5,5 @@
 msgstr ""
 "Project-Id-Version: PACKAGE VERSION\n"
-"POT-Creation-Date: 2009-07-31 16:11+0000\n"
+"POT-Creation-Date: 2009-07-31 17:42+0000\n"
 "PO-Revision-Date: 2006-12-29 11:01+0100\n"
 "Last-Translator: \n"
@@ -95,4 +95,9 @@
 msgstr "qPloneComments Konfiguration"
 
+#. Default: "Report Abuse"
+#: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/report_abuse_form.cpt:102
+msgid "heading_report_abuse_form"
+msgstr ""
+
 #. Default: "The email address where comment notifications will be sent"
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:209
@@ -113,4 +118,9 @@
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:154
 msgid "help_enable_anonymous_report_abuse"
+msgstr ""
+
+#. Default: "Please state your reasons why you would like to report this comment as abusive. Our administrator will be notified with your message."
+#: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/report_abuse_form.cpt:166
+msgid "help_message"
 msgstr ""
 
@@ -195,4 +205,9 @@
 msgstr "Email Betreff"
 
+#. Default: "Report Abuse"
+#: ./quintagroup.plonecomments/quintagroup/plonecomments/browser/comments.pt:105
+msgid "label_report_abuse"
+msgstr ""
+
 #. Default: "Require email from Anonymous commenters"
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:93
@@ -260,4 +275,9 @@
 msgstr ""
 
+#. Default: "This site doesn't have a valid email setup, so you cannot use the report abuse form."
+#: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/report_abuse_form.cpt:85
+msgid "text_no_email_setup"
+msgstr ""
+
 #. Default: "No new comments."
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_recent_comments_form.cpt:49
Index: quintagroup.plonecomments/trunk/quintagroup/plonecomments/locales/es/LC_MESSAGES/quintagroup.plonecomments.po
===================================================================
--- quintagroup.plonecomments/trunk/quintagroup/plonecomments/locales/es/LC_MESSAGES/quintagroup.plonecomments.po	(revision 1203)
+++ quintagroup.plonecomments/trunk/quintagroup/plonecomments/locales/es/LC_MESSAGES/quintagroup.plonecomments.po	(revision 1204)
@@ -5,5 +5,5 @@
 msgstr ""
 "Project-Id-Version: qPloneComments\n"
-"POT-Creation-Date: 2009-07-31 16:11+0000\n"
+"POT-Creation-Date: 2009-07-31 17:42+0000\n"
 "PO-Revision-Date: 2007-04-19 20:21-0600\n"
 "Last-Translator: Héctor Velarde <hvelarde@jornada.com.mx>\n"
@@ -95,4 +95,9 @@
 msgstr "Configuración de qPloneComments"
 
+#. Default: "Report Abuse"
+#: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/report_abuse_form.cpt:102
+msgid "heading_report_abuse_form"
+msgstr ""
+
 #. Default: "The email address where comment notifications will be sent"
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:209
@@ -113,4 +118,9 @@
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:154
 msgid "help_enable_anonymous_report_abuse"
+msgstr ""
+
+#. Default: "Please state your reasons why you would like to report this comment as abusive. Our administrator will be notified with your message."
+#: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/report_abuse_form.cpt:166
+msgid "help_message"
 msgstr ""
 
@@ -195,4 +205,9 @@
 msgstr "Prefijo del asunto del mensaje (nombre de la organización)"
 
+#. Default: "Report Abuse"
+#: ./quintagroup.plonecomments/quintagroup/plonecomments/browser/comments.pt:105
+msgid "label_report_abuse"
+msgstr ""
+
 #. Default: "Require email from Anonymous commenters"
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:93
@@ -260,4 +275,9 @@
 msgstr ""
 
+#. Default: "This site doesn't have a valid email setup, so you cannot use the report abuse form."
+#: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/report_abuse_form.cpt:85
+msgid "text_no_email_setup"
+msgstr ""
+
 #. Default: "No new comments."
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_recent_comments_form.cpt:49
Index: quintagroup.plonecomments/trunk/quintagroup/plonecomments/locales/fr/LC_MESSAGES/quintagroup.plonecomments.po
===================================================================
--- quintagroup.plonecomments/trunk/quintagroup/plonecomments/locales/fr/LC_MESSAGES/quintagroup.plonecomments.po	(revision 1203)
+++ quintagroup.plonecomments/trunk/quintagroup/plonecomments/locales/fr/LC_MESSAGES/quintagroup.plonecomments.po	(revision 1204)
@@ -5,5 +5,5 @@
 msgstr ""
 "Project-Id-Version: PACKAGE VERSION\n"
-"POT-Creation-Date: 2009-07-31 16:11+0000\n"
+"POT-Creation-Date: 2009-07-31 17:42+0000\n"
 "PO-Revision-Date: 2006-11-10 08:59-0500\n"
 "Last-Translator: Nicole Turgeon-Courchesne <nicole@motspourmaux.com>\n"
@@ -95,4 +95,9 @@
 msgstr "Configuration de qPloneComments"
 
+#. Default: "Report Abuse"
+#: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/report_abuse_form.cpt:102
+msgid "heading_report_abuse_form"
+msgstr ""
+
 #. Default: "The email address where comment notifications will be sent"
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:209
@@ -113,4 +118,9 @@
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:154
 msgid "help_enable_anonymous_report_abuse"
+msgstr ""
+
+#. Default: "Please state your reasons why you would like to report this comment as abusive. Our administrator will be notified with your message."
+#: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/report_abuse_form.cpt:166
+msgid "help_message"
 msgstr ""
 
@@ -195,4 +205,9 @@
 msgstr "Préfixe de l’objet du courriel (nom de l’organisme)"
 
+#. Default: "Report Abuse"
+#: ./quintagroup.plonecomments/quintagroup/plonecomments/browser/comments.pt:105
+msgid "label_report_abuse"
+msgstr ""
+
 #. Default: "Require email from Anonymous commenters"
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:93
@@ -260,4 +275,9 @@
 msgstr ""
 
+#. Default: "This site doesn't have a valid email setup, so you cannot use the report abuse form."
+#: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/report_abuse_form.cpt:85
+msgid "text_no_email_setup"
+msgstr ""
+
 #. Default: "No new comments."
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_recent_comments_form.cpt:49
Index: quintagroup.plonecomments/trunk/quintagroup/plonecomments/locales/it/LC_MESSAGES/quintagroup.plonecomments.po
===================================================================
--- quintagroup.plonecomments/trunk/quintagroup/plonecomments/locales/it/LC_MESSAGES/quintagroup.plonecomments.po	(revision 1203)
+++ quintagroup.plonecomments/trunk/quintagroup/plonecomments/locales/it/LC_MESSAGES/quintagroup.plonecomments.po	(revision 1204)
@@ -5,5 +5,5 @@
 msgstr ""
 "Project-Id-Version: qPloneComments\n"
-"POT-Creation-Date: 2009-07-31 16:11+0000\n"
+"POT-Creation-Date: 2009-07-31 17:42+0000\n"
 "PO-Revision-Date: 2007-04-19 20:21-0600\n"
 "Last-Translator: Yuri Carrer <yurj@alfa.it>\n"
@@ -95,4 +95,9 @@
 msgstr "Configurazione di qPloneComments"
 
+#. Default: "Report Abuse"
+#: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/report_abuse_form.cpt:102
+msgid "heading_report_abuse_form"
+msgstr ""
+
 #. Default: "The email address where comment notifications will be sent"
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:209
@@ -113,4 +118,9 @@
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:154
 msgid "help_enable_anonymous_report_abuse"
+msgstr ""
+
+#. Default: "Please state your reasons why you would like to report this comment as abusive. Our administrator will be notified with your message."
+#: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/report_abuse_form.cpt:166
+msgid "help_message"
 msgstr ""
 
@@ -195,4 +205,9 @@
 msgstr "Prefisso del messaggio (nome dell' organizzazione)"
 
+#. Default: "Report Abuse"
+#: ./quintagroup.plonecomments/quintagroup/plonecomments/browser/comments.pt:105
+msgid "label_report_abuse"
+msgstr ""
+
 #. Default: "Require email from Anonymous commenters"
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:93
@@ -260,4 +275,9 @@
 msgstr ""
 
+#. Default: "This site doesn't have a valid email setup, so you cannot use the report abuse form."
+#: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/report_abuse_form.cpt:85
+msgid "text_no_email_setup"
+msgstr ""
+
 #. Default: "No new comments."
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_recent_comments_form.cpt:49
Index: quintagroup.plonecomments/trunk/quintagroup/plonecomments/locales/nl/LC_MESSAGES/quintagroup.plonecomments.po
===================================================================
--- quintagroup.plonecomments/trunk/quintagroup/plonecomments/locales/nl/LC_MESSAGES/quintagroup.plonecomments.po	(revision 1203)
+++ quintagroup.plonecomments/trunk/quintagroup/plonecomments/locales/nl/LC_MESSAGES/quintagroup.plonecomments.po	(revision 1204)
@@ -4,5 +4,5 @@
 msgstr ""
 "Project-Id-Version: PACKAGE VERSION\n"
-"POT-Creation-Date: 2009-07-31 16:11+0000\n"
+"POT-Creation-Date: 2009-07-31 17:42+0000\n"
 "PO-Revision-Date: 2006-12-29 11:01+0100\n"
 "Last-Translator: Kees Hink\n"
@@ -94,4 +94,9 @@
 msgstr "Plone Opmerkingen instellen"
 
+#. Default: "Report Abuse"
+#: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/report_abuse_form.cpt:102
+msgid "heading_report_abuse_form"
+msgstr ""
+
 #. Default: "The email address where comment notifications will be sent"
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:209
@@ -114,4 +119,9 @@
 msgstr ""
 
+#. Default: "Please state your reasons why you would like to report this comment as abusive. Our administrator will be notified with your message."
+#: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/report_abuse_form.cpt:166
+msgid "help_message"
+msgstr ""
+
 #. Default: "Tell us your name."
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/discussion_reply_form.cpt:103
@@ -194,4 +204,9 @@
 msgstr "Voorvoegsel in onderwerp van email (naam van organisatie)"
 
+#. Default: "Report Abuse"
+#: ./quintagroup.plonecomments/quintagroup/plonecomments/browser/comments.pt:105
+msgid "label_report_abuse"
+msgstr ""
+
 #. Default: "Require email from Anonymous commenters"
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:93
@@ -259,4 +274,9 @@
 msgstr "Opmerkingen moeten worden goedgekeurd voordat reacties geaccepteerd worden."
 
+#. Default: "This site doesn't have a valid email setup, so you cannot use the report abuse form."
+#: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/report_abuse_form.cpt:85
+msgid "text_no_email_setup"
+msgstr ""
+
 #. Default: "No new comments."
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_recent_comments_form.cpt:49
Index: quintagroup.plonecomments/trunk/quintagroup/plonecomments/locales/pt-br/LC_MESSAGES/quintagroup.plonecomments.po
===================================================================
--- quintagroup.plonecomments/trunk/quintagroup/plonecomments/locales/pt-br/LC_MESSAGES/quintagroup.plonecomments.po	(revision 1203)
+++ quintagroup.plonecomments/trunk/quintagroup/plonecomments/locales/pt-br/LC_MESSAGES/quintagroup.plonecomments.po	(revision 1204)
@@ -3,5 +3,5 @@
 msgstr ""
 "Project-Id-Version: qPloneComments\n"
-"POT-Creation-Date: 2009-07-31 16:11+0000\n"
+"POT-Creation-Date: 2009-07-31 17:42+0000\n"
 "PO-Revision-Date: 2008-07-18 03:51-0300\n"
 "Last-Translator: Érico Andrei <erico@simplesconsultoria.com.br>\n"
@@ -92,4 +92,9 @@
 msgstr "Configurações do qPloneComments"
 
+#. Default: "Report Abuse"
+#: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/report_abuse_form.cpt:102
+msgid "heading_report_abuse_form"
+msgstr ""
+
 #. Default: "The email address where comment notifications will be sent"
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:209
@@ -112,4 +117,9 @@
 msgstr ""
 
+#. Default: "Please state your reasons why you would like to report this comment as abusive. Our administrator will be notified with your message."
+#: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/report_abuse_form.cpt:166
+msgid "help_message"
+msgstr ""
+
 #. Default: "Tell us your name."
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/discussion_reply_form.cpt:103
@@ -192,4 +202,9 @@
 msgstr "Prefixo do assunto do e-mail (nome do site)"
 
+#. Default: "Report Abuse"
+#: ./quintagroup.plonecomments/quintagroup/plonecomments/browser/comments.pt:105
+msgid "label_report_abuse"
+msgstr ""
+
 #. Default: "Require email from Anonymous commenters"
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:93
@@ -257,4 +272,9 @@
 msgstr "O comentário deve ser aprovado antes de poder receber respostas."
 
+#. Default: "This site doesn't have a valid email setup, so you cannot use the report abuse form."
+#: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/report_abuse_form.cpt:85
+msgid "text_no_email_setup"
+msgstr ""
+
 #. Default: "No new comments."
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_recent_comments_form.cpt:49
Index: quintagroup.plonecomments/trunk/quintagroup/plonecomments/locales/quintagroup.plonecomments.pot
===================================================================
--- quintagroup.plonecomments/trunk/quintagroup/plonecomments/locales/quintagroup.plonecomments.pot	(revision 1203)
+++ quintagroup.plonecomments/trunk/quintagroup/plonecomments/locales/quintagroup.plonecomments.pot	(revision 1204)
@@ -5,5 +5,5 @@
 msgstr ""
 "Project-Id-Version: PACKAGE VERSION\n"
-"POT-Creation-Date: 2009-07-31 16:11+0000\n"
+"POT-Creation-Date: 2009-07-31 17:42+0000\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI +ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
@@ -94,4 +94,9 @@
 msgstr ""
 
+#. Default: "Report Abuse"
+#: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/report_abuse_form.cpt:102
+msgid "heading_report_abuse_form"
+msgstr ""
+
 #. Default: "The email address where comment notifications will be sent"
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:209
@@ -114,4 +119,9 @@
 msgstr ""
 
+#. Default: "Please state your reasons why you would like to report this comment as abusive. Our administrator will be notified with your message."
+#: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/report_abuse_form.cpt:166
+msgid "help_message"
+msgstr ""
+
 #. Default: "Tell us your name."
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/discussion_reply_form.cpt:103
@@ -192,4 +202,9 @@
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:230
 msgid "label_organization_name"
+msgstr ""
+
+#. Default: "Report Abuse"
+#: ./quintagroup.plonecomments/quintagroup/plonecomments/browser/comments.pt:105
+msgid "label_report_abuse"
 msgstr ""
 
@@ -259,4 +274,9 @@
 msgstr ""
 
+#. Default: "This site doesn't have a valid email setup, so you cannot use the report abuse form."
+#: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/report_abuse_form.cpt:85
+msgid "text_no_email_setup"
+msgstr ""
+
 #. Default: "No new comments."
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_recent_comments_form.cpt:49
Index: quintagroup.plonecomments/trunk/quintagroup/plonecomments/locales/uk/LC_MESSAGES/quintagroup.plonecomments.po
===================================================================
--- quintagroup.plonecomments/trunk/quintagroup/plonecomments/locales/uk/LC_MESSAGES/quintagroup.plonecomments.po	(revision 1203)
+++ quintagroup.plonecomments/trunk/quintagroup/plonecomments/locales/uk/LC_MESSAGES/quintagroup.plonecomments.po	(revision 1204)
@@ -7,5 +7,5 @@
 msgstr ""
 "Project-Id-Version: qPloneComments\n"
-"POT-Creation-Date: 2009-07-31 16:11+0000\n"
+"POT-Creation-Date: 2009-07-31 17:42+0000\n"
 "PO-Revision-Date: 2008-09-22 10:55+0300\n"
 "Last-Translator: Olha <olha.pelishok@gmail.com>\n"
@@ -68,13 +68,13 @@
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/utils.py:214
 msgid "SMTPRecipientsRefused: Could not send the emailnotification. Have you configured an email server for Plone?"
-msgstr ""
+msgstr "SMTPRecipientsRefused: Не вдалося відправити повідомлення по електронній пошті. Ви налаштували сервер електронної пошти для Plone?"
 
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/validate_report_abuse.vpy:51
 msgid "You must correctly enter the word."
-msgstr ""
+msgstr "Ви повинні правильно ввести слово."
 
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/report_abuse.cpy:72
 msgid "Your abuse report has been sent."
-msgstr ""
+msgstr "Ваша скарга була надіслана."
 
 #. Default: "Please review new comment added to the following page ' ${title} ': ${here_url}"
@@ -98,4 +98,9 @@
 msgstr "Налаштування qPloneComments"
 
+#. Default: "Report Abuse"
+#: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/report_abuse_form.cpt:102
+msgid "heading_report_abuse_form"
+msgstr "Надіслати скаргу щодо коментаря"
+
 #. Default: "The email address where comment notifications will be sent"
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:209
@@ -111,10 +116,15 @@
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:178
 msgid "help_enable_ajax_report_abuse"
-msgstr ""
+msgstr "Цей параметр вступить в силу, коли увімкненна можливість надсилання скарг щодо коментарів."
 
 #. Default: "This setting will allow ALL users, including non logged in users to report abusive comments."
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:154
 msgid "help_enable_anonymous_report_abuse"
-msgstr ""
+msgstr "Цей параметр дозволить усім користувачам, у тому числі анонімам, надсилати скаргу щодо коментар."
+
+#. Default: "Please state your reasons why you would like to report this comment as abusive. Our administrator will be notified with your message."
+#: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/report_abuse_form.cpt:166
+msgid "help_message"
+msgstr "Будь ласка, вкажіть причини, з яких ви хотіли б повідомити про цей коментар як образливий. Наш адміністратор одержить повідомлення з вашого листа."
 
 #. Default: "Tell us your name."
@@ -151,10 +161,10 @@
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:175
 msgid "label_enable_ajax_report_abuse"
-msgstr ""
+msgstr "Включити AJAX Powered."
 
 #. Default: "Enable anonymous users to report abusive comments"
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:151
 msgid "label_enable_anonymous_report_abuse"
-msgstr ""
+msgstr "Дозволити анонімним користувачам надсилати скарги щодо коментарів"
 
 #. Default: "Notify Discussion Manager of new comments."
@@ -191,5 +201,5 @@
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:132
 msgid "label_enable_report_abuse"
-msgstr ""
+msgstr "Включити перевірку автентифікації користувачів для надсилання скарг щодо коментарів."
 
 #. Default: "Email subject prefix (organization name)"
@@ -198,4 +208,9 @@
 msgstr "Префікс заголовка електронних листів (назва організації)"
 
+#. Default: "Report Abuse"
+#: ./quintagroup.plonecomments/quintagroup/plonecomments/browser/comments.pt:105
+msgid "label_report_abuse"
+msgstr "Надіслати скаргу"
+
 #. Default: "Require email from Anonymous commenters"
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:93
@@ -263,4 +278,9 @@
 msgstr "Незатверджений коментар коментувати неможна."
 
+#. Default: "This site doesn't have a valid email setup, so you cannot use the report abuse form."
+#: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/report_abuse_form.cpt:85
+msgid "text_no_email_setup"
+msgstr "Не налаштовані параметри електронної пошти сайту, тому ви не можете надсилати повідомлення."
+
 #. Default: "No new comments."
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_recent_comments_form.cpt:49
Index: quintagroup.plonecomments/trunk/quintagroup/plonecomments/skins/quintagroup_plonecomments/report_abuse_form.cpt
===================================================================
--- quintagroup.plonecomments/trunk/quintagroup/plonecomments/skins/quintagroup_plonecomments/report_abuse_form.cpt	(revision 1203)
+++ quintagroup.plonecomments/trunk/quintagroup/plonecomments/skins/quintagroup_plonecomments/report_abuse_form.cpt	(revision 1204)
@@ -84,4 +84,5 @@
                             <tal:if_not condition="not:email_from_address">
                                 <p class="documentDescription"
+                                i18n:domain="quintagroup.plonecomments"
                                 i18n:translate="text_no_email_setup">
                                     This site doesn't have a valid email setup, so you cannot use
@@ -99,5 +100,5 @@
 
                                     <fieldset>
-                                        <h1 i18n:translate="heading_report_abuse_form">Report Abuse</h1>
+                                        <h1 i18n:domain="quintagroup.plonecomments" i18n:translate="heading_report_abuse_form">Report Abuse</h1>
 
                                         <tal:feedbackForm condition="isAnon">
@@ -163,5 +164,5 @@
                                                     i18n:translate="label_required">(Required)</span>
 
-                                            <div class="formHelp" i18n:translate="help_message">
+                                            <div class="formHelp" i18n:domain="quintagroup.plonecomments" i18n:translate="help_message">
                                                 Please state your reasons why you would like to report this comment as abusive.
                                                 Our administrator will be notified with your message.