Index: /quintagroup.plonecomments/trunk/README.txt
===================================================================
--- /quintagroup.plonecomments/trunk/README.txt	(revision 1232)
+++ /quintagroup.plonecomments/trunk/README.txt	(revision 1233)
@@ -69,5 +69,7 @@
 
 * Get latest development version from "SVN": http://svn.quintagroup.com/products/quintagroup.plonecomments/trunk
+
 * Watch Plone Comments Screencast (http://quintagroup.com/cms/screencasts/plone-comments) to learn how to install and set up Plone Comments on your buildout-based Plone instance for Plone 3.2 or above. You will also find one of the possible use cases of using Plone Comments Plone add-on included.
+
 * Watch Plone Comments Use Cases Screencast (http://quintagroup.com/cms/screencasts/plone-comments/use-cases) to learn about integration of Plone Comments with Plone Captchas, see 2 examples of possible use cases: anonymous and registered users commenting. 
 
@@ -90,6 +92,4 @@
 The product is developed and maintained by http://quintagroup.com team.
 
-Authors:
-
 * Volodymyr Cherepanyak
 * Andriy Mylenkyy
@@ -97,5 +97,6 @@
 * Vitaliy Stepanov
 
-Contributors:
+Contributors
+------------
  
 * Gerry Kirk: product translations improvement and proofreading
Index: /quintagroup.plonecomments/trunk/docs/HISTORY.txt
===================================================================
--- /quintagroup.plonecomments/trunk/docs/HISTORY.txt	(revision 1232)
+++ /quintagroup.plonecomments/trunk/docs/HISTORY.txt	(revision 1233)
@@ -3,5 +3,5 @@
 
 
-4.1.0 (unreleased)
+4.1.0 (2009-08-11)
 ==================
 
Index: /quintagroup.plonecomments/trunk/docs/INSTALL.txt
===================================================================
--- /quintagroup.plonecomments/trunk/docs/INSTALL.txt	(revision 1232)
+++ /quintagroup.plonecomments/trunk/docs/INSTALL.txt	(revision 1233)
@@ -4,39 +4,30 @@
 
 Installation
-==============
+------------
 
 To install quintagroup.plonecomments into the global Python environment (or a workingenv),
 using a traditional Zope 2 instance, you can do this:
 
-- When you're reading this you have probably already run 
-  ``easy_install quintagroup.plonecomments``. Find out how to install setuptools
-  (and EasyInstall) here:
-  http://peak.telecommunity.com/DevCenter/EasyInstall
+* Copy ``quintagroup`` folder to the ``/path/to/instance/lib/python`` directory.
 
-- If you are using Zope 2.9 (not 2.10), get `pythonproducts`_ and install it 
-  via::
-
-    python setup.py install --home /path/to/instance
-
-into your Zope instance.
-
-- Create a file called ``quintagroup.plonecomments-configure.zcml`` in the
-  ``/path/to/instance/etc/package-includes`` directory.  The file
-  should only contain this::
+* Creare a file called ``quintagroup.plonecomments-configure.zcml`` in the
+  */path/to/instance/etc/package-includes* directory. The file should
+  only contain this::
 
     <include package="quintagroup.plonecomments" file="configure.zcml" />
 
-- Create a file called ``quintagroup.plonecomments-overrides.zcml`` in the
-  ``/path/to/instance/etc/package-includes`` directory.  The file
-  should only contain this::
+* Create a file called ``quintagroup.plonecomments-overrides.zcml`` into the   */path/to/instance/etc/package-includes* directory. The file should
+  only contain this::
 
-    <include package="quintagroup.plonecomments" file="overrides.zcml" />
+  <include package="quintagroup.plonecomments" file="overrides.zcml" />
 
-.. _pythonproducts: http://plone.org/products/pythonproducts
+* Restart the Zope server, for example, with the following command in the terminal::
+
+   $ ./bin/zopectl restart
 
 Alternatively, if you are using zc.buildout and the plone.recipe.zope2instance
 recipe to manage your project, you can do this:
 
-- Add ``quintagroup.plonecomments`` to the list of eggs to install, e.g.::
+* Add ``quintagroup.plonecomments`` to the list of eggs to install, e.g.::
 
     [buildout]
@@ -46,5 +37,5 @@
         quintagroup.plonecomments
        
-- Tell the plone.recipe.zope2instance recipe to install a ZCML slug::
+* Tell the plone.recipe.zope2instance recipe to install a ZCML slug::
 
     [instance]
@@ -55,10 +46,15 @@
         quintagroup.plonecomments-overrides
       
-- Re-run buildout, e.g. with::
+* Re-run buildout, e.g. with::
 
     $ ./bin/buildout
 
-- Install quintagroup.plonecomments via ZMI portal_setup. Select ``quintagroup.plonecomments``
+* Restart the Zope server, for example, with the following command in the terminal::
+
+    $ ./bin/instance restart
+
+* Install quintagroup.plonecomments via ZMI portal_setup. Select ``quintagroup.plonecomments``
   from the list of available profiles and press *Import all steps*.
+
 
   **Atention**: If you are using a Plone version **before** 3.1 you need to install
@@ -70,6 +66,6 @@
 
 Uninstallation
-==============
+--------------
 
-- To uninstall quintagroup.plonecomments - select ``quintagroup.plonecomments uninstall``
+* To uninstall quintagroup.plonecomments - select ``quintagroup.plonecomments uninstall``
   profile from the list of available profiles and press *Import all steps*.